import 'package:flutter/material.dart';

import 'package:scrobbles/ui/widgets/cards/statistics_global.dart';
import 'package:scrobbles/ui/widgets/cards/statistics_recent.dart';
import 'package:scrobbles/ui/widgets/cards/timeline.dart';
import 'package:scrobbles/ui/widgets/cards/top_artists.dart';

class ScreenHome extends StatelessWidget {
  final Function() notifyParent;

  const ScreenHome({super.key, required this.notifyParent});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: RefreshIndicator(
        onRefresh: () async {
          notifyParent();
        },
        child: ListView(
          padding: const EdgeInsets.symmetric(horizontal: 4),
          physics: const BouncingScrollPhysics(),
          children: const <Widget>[
            SizedBox(height: 8),
            CardStatisticsGlobal(),
            SizedBox(height: 6),
            CardStatisticsRecent(),
            SizedBox(height: 6),
            CardTimeline(),
            SizedBox(height: 6),
            CardTopArtists(),
            SizedBox(height: 36),
          ],
        ),
      ),
    );
  }
}
